## org.eclipse.jetty.annotations
Class AnnotationParser.MyClassVisitor

    java.lang.Object
      org.objectweb.asm.commons.EmptyVisitor
          org.eclipse.jetty.annotations.AnnotationParser.MyClassVisitor

All Implemented Interfaces:
  org.objectweb.asm.AnnotationVisitor, org.objectweb.asm.ClassVisitor, org.objectweb.asm.FieldVisitor, org.objectweb.asm.MethodVisitor

Enclosing class:
  AnnotationParser

    public class AnnotationParser.MyClassVisitor

extends org.objectweb.asm.commons.EmptyVisitor

MyClassVisitor ASM visitor for a class.

Constructor Summary
`AnnotationParser.MyClassVisitor()`

Method Summary
`void` `visit(int version, int access, String name, String signature, String superName, String[] interfaces)`
`org.objectweb.asm.AnnotationVisitor` `visitAnnotation(String desc, boolean visible)`
`org.objectweb.asm.FieldVisitor` `visitField(int access, String fieldName, String fieldType, String signature, Object value)`
`org.objectweb.asm.MethodVisitor` `visitMethod(int access, String name, String methodDesc, String signature, String[] exceptions)`

Methods inherited from class org.objectweb.asm.commons.EmptyVisitor

`visit, visitAnnotation, visitAnnotationDefault, visitArray, visitAttribute, visitCode, visitEnd, visitEnum, visitFieldInsn, visitFrame, visitIincInsn, visitInnerClass, visitInsn, visitIntInsn, visitJumpInsn, visitLabel, visitLdcInsn, visitLineNumber, visitLocalVariable, visitLookupSwitchInsn, visitMaxs, visitMethodInsn, visitMultiANewArrayInsn, visitOuterClass, visitParameterAnnotation, visitSource, visitTableSwitchInsn, visitTryCatchBlock, visitTypeInsn, visitVarInsn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationParser.MyClassVisitor

    public AnnotationParser.MyClassVisitor()

Method Detail

### visit

    public void visit(int version,
                      int access,
                      String name,
                      String signature,
                      String superName,
                      String[] interfaces)

  Specified by:
    `visit` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visit` in class `org.objectweb.asm.commons.EmptyVisitor`

### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc,
                                                               boolean visible)

  Specified by:
    `visitAnnotation` in interface `org.objectweb.asm.ClassVisitor`
  Specified by:
    `visitAnnotation` in interface `org.objectweb.asm.FieldVisitor`
  Specified by:
    `visitAnnotation` in interface `org.objectweb.asm.MethodVisitor`
  Overrides:
    `visitAnnotation` in class `org.objectweb.asm.commons.EmptyVisitor`

### visitMethod

    public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                       String name,
                                                       String methodDesc,
                                                       String signature,
                                                       String[] exceptions)

  Specified by:
    `visitMethod` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visitMethod` in class `org.objectweb.asm.commons.EmptyVisitor`

### visitField

    public org.objectweb.asm.FieldVisitor visitField(int access,
                                                     String fieldName,
                                                     String fieldType,
                                                     String signature,
                                                     Object value)

  Specified by:
    `visitField` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visitField` in class `org.objectweb.asm.commons.EmptyVisitor`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.